Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class AbstractBayeux.ServiceChannel

    java.lang.Object
      org.mortbay.cometd.ChannelImpl
          org.mortbay.cometd.AbstractBayeux.ServiceChannel

All Implemented Interfaces:
  org.cometd.Channel

Enclosing class:
  AbstractBayeux

    protected class AbstractBayeux.ServiceChannel

extends ChannelImpl

Method Summary
`ChannelImpl` | `addChild(ChannelImpl channel)` Adds a channel
`void` | `subscribe(org.cometd.Client client)`

Methods inherited from class org.mortbay.cometd.ChannelImpl
`addDataFilter, addListener, deliver, doDelivery, doRemove, getChannelCount, getChannelId, getChannels, getChild, getDataFilters, getId, getSubscriberCount, getSubscribers, isLazy, isPersistent, publish, publishLazy, remove, removeDataFilter, removeListener, setLazy, setPersistent, toString, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addChild

    public ChannelImpl addChild(ChannelImpl channel)

  Description copied from class: `ChannelImpl`
  Adds a channel

  Overrides:
    `addChild` in class `ChannelImpl`
  Parameters:
    `channel` - the child channel to add
  Returns:
    The added channel, or the existing channel if another thread already added the channel

### subscribe

    public void subscribe(org.cometd.Client client)

  Specified by:
    `subscribe` in interface `org.cometd.Channel`
  Overrides:
    `subscribe` in class `ChannelImpl`
  Parameters:
    `client` - the client to subscribe to this channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.